# Ogre::VertexBoneAssignment_s Struct Reference

Records the assignment of a single vertex to a single bone with the corresponding weight. More...

`#include <OgreVertexBoneAssignment.h>`

List of all members.

## Public Attributes

unsigned int | vertexIndex
unsigned short | boneIndex
Real | weight

## Detailed Description

Records the assignment of a single vertex to a single bone with the corresponding weight.

Remarks:
  This simple struct simply holds a vertex index, bone index and weight representing the assignment of a vertex to a bone for skeletal animation. There may be many of these per vertex if blended vertex assignments are allowed.

Definition at line 41 of file OgreVertexBoneAssignment.h.

## Member Data Documentation

unsigned short Ogre::VertexBoneAssignment_s::boneIndex

| Definition at line 44 of file OgreVertexBoneAssignment.h.

unsigned int Ogre::VertexBoneAssignment_s::vertexIndex

| Definition at line 43 of file OgreVertexBoneAssignment.h.

Real Ogre::VertexBoneAssignment_s::weight

| Definition at line 45 of file OgreVertexBoneAssignment.h.

The documentation for this struct was generated from the following file:

- OgreVertexBoneAssignment.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:41:17 2005